import request from '@/utils/request';

 /**
 * 统一解析熟化库出库接口
 * @param ChangeParams
 */
 export function MatuStockOutEvent(ChangeParams: any) {
    return request({
      url: '/api/MaturationLibrary/MatuStockOut',
      method: 'post',
      data: ChangeParams,
    });
  }

   /**
 * 统一解析立库解析接口
 * @param ChangeParams
 */
 export function BuildWareMove(ChangeParams: any) {
  return request({
    url: '/api/MaturationLibrary/MatuMove',
    method: 'post',
    data: ChangeParams,
  });
}

export function getoutPortList(ChangeParams: any) {
  return request({
    url: '/api/MaturationLibrary/getPort',
    method: 'post',
    data: ChangeParams,
  });
}

export function GetLiberaryBaeIn(ChangeParams: any) {
  return request({
    url: '/api/MaturationLibrary/GetLiberaryBaeIn',
    method: 'post',
    data: ChangeParams,
  });
}

export function AutoStockOut(ChangeParams: any) {
  return request({
    url: '/api/MaturationLibrary/AutoStockOut',
    method: 'post',
    data: ChangeParams,
  });
}